package service

import (
	"github.com/marc-gr/cellar"
	"github.com/spf13/cobra"
)

func DaemonCommand() *cobra.Command {
	return &cobra.Command{
		Use:   "daemon",
		Short: "daemon starts ipfs, ipfs-cluster and cellar daemons.",
		Long: `daemon starts ipfs, ipfs-cluster and cellar daemons.
If launched in background it can be stopped calling "cellar shutdown"`,
		Run: func(cmd *cobra.Command, args []string) {
			if err := cellar.Run(); err != nil {
				cmd.PrintErr(err)
			}
		},
	}
}
