package service

import (
	"github.com/marc-gr/cellar/config"
	"github.com/spf13/cobra"
)

func InitCommand() *cobra.Command {
	return &cobra.Command{
		Use:   "init",
		Short: "init initializes cellar configuration.",
		Long: `init initializes cellar configuration.
If already initialized it will do nothing, otherwise it will prompt initialization output.`,
		Run: func(cmd *cobra.Command, args []string) {
			if err := config.InitConfig(); err != nil {
				cmd.PrintErr(err)
			}
		},
	}
}
