package storage

import (
	"github.com/marc-gr/cellar/storage"
	"github.com/spf13/cobra"
)

func AddCommand() *cobra.Command {
	return &cobra.Command{
		Use:   "add [files]",
		Short: "add adds files and directories to cellar.",
		Long: `add adds files and directories to cellar.
Directories are going to be recursively added.`,
		Args: cobra.MinimumNArgs(1),
		Run: func(cmd *cobra.Command, args []string) {
			out, err := storage.AddFilepaths(args...)
			if err != nil {
				cmd.Println(string(out))
				cmd.PrintErr(err)
				cmd.Println()
			}
		},
	}
}
