package main

import (
	"fmt"
	"os"

	"github.com/marc-gr/cellar/cmd/cellar-service/internal/commands/service"
	"github.com/marc-gr/cellar/cmd/cellar-service/internal/commands/storage"
	"github.com/spf13/cobra"
)

func main() {
	// cmdTimes.Flags().IntVarP(&echoTimes, "times", "t", 1, "times to echo the input")
	rootCmd := &cobra.Command{}
	rootCmd.AddCommand(
		storage.AddCommand(),
		service.InitCommand(),
		service.DaemonCommand(),
		service.ShutdownCommand(),
	)
	if err := rootCmd.Execute(); err != nil {
		fmt.Println(err)
		os.Exit(1)
	}
}
