package config

import (
	"crypto/rand"
)

const aesKeyLength = 32 // AES-256 bits (32 bytes)

func generateRandomKey() ([]byte, error) {
	b := make([]byte, aesKeyLength)
	_, err := rand.Read(b)
	// note that err == nil only if we read len(b) bytes.
	if err != nil {
		return nil, err
	}
	return b, nil
}

func NewSecretKey() ([]byte, error) {
	return generateRandomKey()
}
