#!/bin/bash

set -e

echo "Validate that files exist and that their content is illegible"

if [ "$(ls -A $HOME/.cellar/files)" ]
then
    echo "ERROR: files should not be synced"
    exit
fi

CATIPFS=$(ipfs -c $HOME/.cellar/ipfs cat $1 | tr -d '\0')

if [ "$CATIPFS" == "" ]
then
    echo "ERROR: file should not be empty"
    exit
fi

if [ "in1" == "$CATIPFS" ]
then
  echo "ERROR: file should be encrypted."
  exit
fi

CATIPFS=$(ipfs -c $HOME/.cellar/ipfs cat $2 | tr -d '\0')

if [ "$CATIPFS" == "" ]
then
    echo "ERROR: file should not be empty"
    exit
fi

if [ "in2" == "$CATIPFS" ]
then
  echo "ERROR: file should be encrypted."
  exit
fi

CATIPFS=$(ipfs -c $HOME/.cellar/ipfs cat $3 | tr -d '\0')

if [ "$CATIPFS" == "" ]
then
    echo "ERROR: file should not be empty"
    exit
fi

if [ "in3" == "$CATIPFS" ]
then
  echo "ERROR: file should be encrypted."
  exit
fi

echo "OK"