# cellar

Cellar is a proof of concept, it implements a minimal layer on top of IPFS and IPFS Cluster to allow users to anonymously store their files.

## structure

- `cmd`: holds entry points for the cli commands
- `config`: holds methods to initialize and acces config files
- `crypto`: holds methods to cipher and decipher files
- `storage`: holds methods to add and update the store file
- The root package holds `Cellar` type, which is the daemon orchestrator. Is in charge of peer discovery and files syncrhonization over time.

## installation

You will need Go lang installed.

```
go get -u github.com/marc-gr/cellar/cmd/cellar-service
```

You also need to have installed IPFS and IPFS Cluster. You can install them by running:

```
make install-ipfs-from-source
```

or by installing following instructions from their website.

BE SURE TO ONLY HAVE THEM INSTALLED, CELLAR WILL TAKE CARE OF CONFIG AND RUNNING THEM.

To use this application, first you need to initialize the configuration:

```
cellar-service init
```

This will initialize your configuration at `~/.cellar`.

Your personal ID key will be stored at `~/.cellar/keystore/id.key`, if you want to get your files back in any other computer, be sure to carry it along and substitute the local key with yours. If you lose it, you will lose access to the files that are not synced in your machine.

Once initialized you can start the daemon in one terminal.

```
cellar-service daemon
```

And from another

```
cellar-service add somefile.txt
```

This is how you add files, your sync'd files will be stored in `~/.cellar/files`.

## testing

There is a small test script, to run it you will need docker and docker compose installed.
Golang is not a requirement to run the tests.

```
./test.sh
```

This will initialize 4 nodes and perform some checks:

- That the nodes can talk to each other and discover themselves
- That uploaded files are replicated across nodes
- That nodes with different IDs do not have access to the files
- That if a node is spin up with the same id, it can access to the files